<?php // KRIA TEMPLATE PER HAML, WORK IN PROGRESS
/**
 * The following variables are available in this template:
 * - $this: the BootCrudCode object
 */
?>
<?php
echo "<?php\n";
$nameColumn=$this->guessNameColumn($this->tableSchema->columns);
$label=$this->pluralize($this->class2name($this->modelClass));
echo "\$this->breadcrumbs=array(
	'$label'=>array('index'),
	\$model->{$nameColumn}=>array('view','id'=>\$model->{$this->tableSchema->primaryKey}),
	'Update',
);\n";
?>

$this->menu=array(
	array('label'=>t('Create <?php echo $this->modelClass; ?>'),'url'=>array('create'),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('create')); ?>')),
	array('label'=>t('View <?php echo $this->modelClass; ?>'),'url'=>array('view','id'=>$model-><?php echo $this->tableSchema->primaryKey; ?>),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('view')); ?>')),
	array('label'=>t('Manage <?php echo $this->modelClass; ?>'),'url'=>array('admin'),'visible'=>user()->checkAccess('<?php echo($this->getAuthName('manage')); ?>')),
);
?>

<h1>Update <?php echo $this->modelClass." <?php echo \$model->{$this->tableSchema->primaryKey}; ?>"; ?></h1>

<?php echo "<?php echo \$this->renderPartial('_form',array('model'=>\$model)); ?>"; ?>